Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [package]

Emacs includes a facility that lets you easily download and install packages that implement additional features. Each package is a separate Emacs Lisp program, sometimes including other components such as an Info manual.

5
votes
1answer
2k views

How to fix this startup package initialization problem?

All of a sudden Emacs returns an error at the startup, when I run $ emacs --debug-init from the terminal (linux) I get this debug error message: Debugger entered--Lisp error: (wrong-type-argument ...
1
vote
1answer
143 views

Can't find google-translate package from melpa

Why can't my emacs find the google-translate package from melpa ? I have trried (use-package google-translate :ensure t) And it doesn't find it, also M-x install-package does provide a google-...
1
vote
2answers
57 views

Fix botched package-install

Today there was a bug in the package recipe for magit in MELPA. The bug has been fixed but the new package has not yet been built. In the meantime, how can I either revert to a previous, working ...
3
votes
1answer
56 views

Tell packages not to change certain variables

It seems like some variables that I set at one place in my init file could potentially be modified by other packages that are loaded later. One place where this has come up for me is the variable ...
0
votes
1answer
59 views

correct usage of package-upload-file for multi-file package?

At my work (Windows 7), we don't have access to elpa or melpa, but we have a network drive which contains emacs packages that have been manually downloaded and approved. Using code similar to the ...
7
votes
0answers
888 views

error in process filter: could not create connection to marmalade-repo.org:433

When I run package-install in windows with Emacs 24.5.1 (i686-pc-mingw32) of 2015-04-11 on LEG570 I got error error in process filter: could not create connection to marmalade-repo.org:433 According ...
1
vote
0answers
65 views

Packages only working “once” after install

I'm trying to get git-gutter-fringe+ working under emacs 24.5.5 on OS X, but I'm having some trouble. In general, it works fine upon install, but on subsequent restarts the package is not loaded. I'm ...
1
vote
1answer
139 views

Paradox problem: “Tried contacting Github, but I can't understand the result.”

For some time now (a month or so, I reckon), I get a strange error message after running the paradox-upgrade-packages command: Contacting host: raw.githubusercontent.com:443 Importing package-keyring....
3
votes
1answer
563 views

Hideshow with python hiding only one part

I've been trying to use Hide Show package in emacs. I encountered a problem when using python. Let's say I have the following code: When I have hit the command hs-hide-level. This is the result. ...
7
votes
1answer
2k views

How does package-autoremove decide which packages to remove?

I am frequently prompted when updating my current packages to run package-autoremove which claims to remove outdated or unnecessary packages. However it always seems to remove (along with those ...
1
vote
0answers
24 views

Feature query to auto-complete mode

Basically, I am looking for an autocomplete-mode that suggests words as ido-mode does on file. Meaning, if I've typed "em" and the autocomplete suggests two words "Emacs" and "Emacsclient" , it should ...
5
votes
1answer
90 views

How do I include non-code resources as part of an Emacs package?

I have a project that wants to play a sound file. I'd like to distribute this project in MELPA. There are two issues I'm having with that. They're both part of the question "how do I use resources in ...
1
vote
1answer
284 views

Package duplicates in emacs package manager

I recently reinstalled emacs after some technical difficulties. I managed to keep some of my personal configuration files, which I believe may have caused an issue. As I went to install packages, I ...
1
vote
2answers
172 views

Automate the removal of git-rebase-mode and git-commit-mode

From the Magit docs: Furthermore the old dependencies git-commit-mode and git-rebase-mode have to be removed because they are no longer used by the 2.1.0 release and later, and get in the way of ...
29
votes
2answers
7k views

package-initialize: wrong type argument : arrayp , nil

while going through the emacs as a c/c++ editor , I came across the following lines of code to include in my ~/.emacs file, to connect to melpa archives for package installation (require 'package) (...
3
votes
1answer
418 views

Emacs tea-time is supposed to be integrated in org-mode, but apparently, it's not

I'm talking about tea-time. In short: It allows you to set up time intervals and after this interval is elapsed, Emacs will notify you with sound and notification. What I'm really interested in ...
2
votes
0answers
335 views

How can I ensure that Org-Mode is Up-To-Date in init.el?

I want my init.el file to get the latest version of org from orgmode.org before loading my pretty-init.org. My init.el: (add-to-list 'package-archives '("org" . "http://orgmode.org/elpa/...
10
votes
2answers
581 views

Install packages globallly

Is this something that can / should be done? For example, often I use emacs in my user account and sometimes root account. When using the package manager (i.e marmalade or something) do I have to ...
12
votes
4answers
551 views

How to load only a subset of installed packages

I ran into a bug that involved an interaction between several packages. In order to report the bug, I need to provide a reproducible recipe illustrating the problem. This requires loading the ...
-1
votes
1answer
191 views

Enable emacs package

I've entered into the fabulous world of Emacs about 2 weeks ago and I like it more and more, but at this point there are some mysterious point that make me freak a little because I don't want to mess ...
0
votes
0answers
59 views

get/set package user-dir before installing org-mode

I have emacs 24.5.1 on Xubuntu 14.04. I want to install the latest version of the org package available in GNU ELPA (20150929). Following the advice on org-mode website, I launch emacs with the -q ...
1
vote
1answer
263 views

org-babel, org-table and package-install: “Package `dired+-' is unavailable

I'm currently using org-mode to organize my init files — specifically, working off a fork of emacs24-starter-kit. Recently, I had come across the idea of using org-tables to organize some of my things ...
5
votes
1answer
131 views

Is there an Emacs equivalent to Vim's arglist?

I often find myself in the situation of needing to open a bunch of files at the same time and run through them all and do something (search/replace, verify something or other, etc.). In vim, I'd do ...
15
votes
2answers
3k views

Using package.el to install and update but use-package for loading and configuring

After recently learning about use-package I decided to port my configuration to it but found myself reluctant to give up the convenience of using package.el to install packages and keep them updated. ...
2
votes
3answers
139 views

Autoload function or mode from ELPA

Use case I run my Emacs config on many machines. Most do not have a Racket installed, and I'd rather not have my Racket related packages installed by default. However, I would like to be able to edit ...
3
votes
2answers
119 views

Show package description along with package name?

If i run M-x package-list-packages, it will list all packages with description like this. If i run M-x package-install, it shows only package names like this. How can i get package description along ...
12
votes
3answers
1k views

Noninteractively upgrade all packages

I want my emacs to automatically upgrade all packages under certain conditions. What's the best way of doing this?
0
votes
0answers
76 views

Stop Emacs from adding all subdirs to default-directory

I'm having trouble stopping Emacs from loading all packages in my default-directory. When I call c-h v load-packages I get a listing of all subdirectories inside my elpa directory, which I want to ...
2
votes
1answer
157 views

Transitioning to MELPA

It's time. I've spent too long with too many pieces of elisp lying around in site-lisp, outdated until I manually grab a new copy. I am new to the ELPA/MELPA/package.el/el-get world, but have ...
7
votes
1answer
241 views

What's an easy way to install packages?

I use MELPA already, this question is about the actual mechanics of installing a package. My current process is: M-x package-list-packages C-s name-of-package C-s enough times to be on the actual ...
2
votes
1answer
2k views

emacs-snapshot - seq package missing

I use the following script to install Emacs 25 on Ubuntu, sudo add-apt-repository -y ppa:ubuntu-elisp sudo apt-get update sudo apt-get install emacs-snapshot When I start the emacs-snapshot program ...
9
votes
2answers
233 views

How to determine the package version to require in your package?

I have a couple packages now, and in the PackageRequires section I would like to put all the packages I require in it, put it seems like it requires the name and version. Where do you determine the ...
1
vote
1answer
155 views

My package.el is broken

About 2 weeks ago my package.el broken and I am not able to install/remove/update packages. Flow: M-x package-list-packages, I mark package for installation or deletion (I or D appears next to ...
7
votes
2answers
3k views

How to install a specific version of package?

When I do M-x package-install RET magit it installs the latest version of magit which is 2.1.0. I want to install magit 1.4.2. I don't want to do it manually by downloading and loading package. ...
2
votes
2answers
150 views

Finding packages not managed by pallet

After initialising pallet for my package managment I forgot to add the requisite line to my init.el :( Having now added: (pallet-mode t) To my init.el is there a way to diagnose which (if any) ...
1
vote
0answers
462 views

Debugging a “Warning (bytecomp): reference to free variable” message

I just upgraded to a new bleeding edge version of Emacs in OS X: brew install emacs --HEAD --use-git-head --with-cocoa --with-gnutls --with-rsvg --with-imagemagick I understand that this version is ...
3
votes
1answer
231 views

Installing Auctex from Package Manager: Scan error

When install auctex from the Package manager using GNU Archive, I get this error: forward-sexp: Scan error: "Unbalanced parentheses", 18984, 38451 This always happens to me when I install it using ...
4
votes
1answer
43 views

Priority of the executation of two functions with the same name from two different packages

General question: two packages have the same name for a certain function. When both packages are installed, which one has the priority to execute that particular function. Particular situation: I am ...
4
votes
1answer
1k views

How to get the package name of current using theme?

I'm using a solarized-light theme, it is great. As you may notice, there are several packages provide the solarized theme: color-theme 20080305.34 installed install color ...
3
votes
1answer
170 views

Successive versions of packages accumulating in the ~/.emacs.d/elpa folder

I noticed that successive versions of packages have been accumulating in my ~/.emacs.d/elpa folder, like so: drwxr-xr-x 3 joon users 4,0K 20 avril 15:49 auto-complete-20150408.1132 drwxr-xr-x 3 ...
1
vote
1answer
2k views

“Cannot open load file”, “/Users/home/.emacs.d/elpa/archives/-pkg” emacs 22.1

emacs 22.1 elpa error When I installed emacs24.5 on osx it broke my .emacs.d/elpa directory. this is the error I get when emacs loads: "Cannot open load file", "/Users/xxxx/.emacs.d/elpa/archives/-...
10
votes
2answers
625 views

Technical considerations for package maintainers to not use the Emacs package manager?

I am noticing some notable package maintainers are choosing to not use the Emacs package management system (ESS?) or complaining about its limitations (Helm). Quoting from Helm's README.md: ...
5
votes
1answer
1k views

Using cask for package management

I am new to emacs. I'm trying to use cask to manage emacs packages. This is my ~/.emacs.d/init.el: (require 'cask "~/etsi/cask/cask.el") (cask-initialize "~/etsi") (require 'evil) (evil-mode 1) ~/...
4
votes
0answers
218 views

How can I read -mdoc /-mandoc man pages using `M-x woman`?

I have been successfully using M-x woman to access the linux man pages. But when I tried to read the tmux manpage using woman, it did not work. But M-: (man "tmux") works. Using woman to access ...
7
votes
1answer
3k views

Create private spacemacs layer for yafolding

I had tried to create my first (private) layer for spacemacs, for the yafolding package. So I had created the ~/.emacs.d/private/yafolding/packages.el file with the following contents: (setq ...
3
votes
1answer
177 views

Why are packages showing as status 'External' in list-packages

I appear to have broken something in my Emacs environment (running on Windows in case it's relevant). package-list is currently displaying all the packages I've just installed with it as Status '...
0
votes
1answer
113 views

Why load-path duplicates?

This are the first 4 lines of my init.el (require 'package) (add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/") t) (package-initialize) (setq package-enable-at-startup nil) ...
3
votes
1answer
35 views

searching filtering comprehension in package table in Packages Menu

How can one search a specific name or a pattern for the name of a specific package on the package menu returned from M-x list-packages? In documentation it says type f. but in my case it yields an ...
13
votes
4answers
835 views

What are the use cases of alternative package managers vis-à-vis `package.el`?

Background I use emacs daily, but mostly to get things done. I don't really like customising it more than adding packages and I don't like troubleshooting. I want emacs to fade into the background ...
4
votes
1answer
645 views

Automatic package install is not available, package exists

I want to automatically install packages that I don't have locally installed when I initialize Emacs. I use the following code to install some packages. (package-initialize) (mapc #'(lambda (pkg) ...